#ifndef CORE03_DB_H
#define CORE03_DB_H
/*lint ++flb */

/* Raima Database Manager 12.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Core03 for C */
/* This is the DDL (Database Definition Language) for a database implementing
 * a one-to-many relationship using network model sets.  The database will 
 * implement the beginnings of an mp3 collection.  The one (owner) side
 * of the relationship is an artest records.  The many (member) side of the 
 * relationship is the album record.
 * 
 * Both the records have a single field, name, that can store an ASCII 
 * string.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c and -d options to create an embedded dbd file.  The -c option will 
 * generate a c header file (core03_db_dbd.h) and a c source file 
 * (core03_db_dbd.c) which can be compiled into the application and used with 
 * the d_open_ptr API to create the database if it does not already exist.
 */


/* database core03_db record/key structure declarations */

struct artist {
   char name[100];
};

struct album {
   char title[100];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define ARTIST 10000
#define ALBUM 10001

/* Field Name Constants */
#define NAME 0L
#define TITLE 1000L

/* Set Name Constants */
#define ARTIST_ALBUM 20000

/* Field Sizes */
#define SIZEOF_NAME 100
#define SIZEOF_TITLE 100

/*lint --flb */
#endif    /* CORE03_DB_H */
